# $Id: fedoragsearch.properties,v 1.3 2006/11/27 15:25:31 gertsp Exp $

#fedoragsearch.soapBase	  			= PROTOCOL://SOAPHOSTPORT/WEBAPPNAME/AXISSERVLETNAME #from web.xml
fedoragsearch.soapBase	    		= http://localhost:8080/fedoragsearch/services
#fedoragsearch.soapBase	    		= http://SOAPHOSTPORT/fedoragsearch/services
fedoragsearch.soapUser				= fedoraAdmin
fedoragsearch.soapPass				= fedoraAdmin

fedoragsearch.deployFile = C:\\fedora\\tomcat\\webapps\\fedoragsearch\\WEB-INF\\classes\\config\\deploy.wsdd

#rest
fedoragsearch.defaultNoXslt							= copyXml
fedoragsearch.defaultUpdateIndexRestXslt			= demoUpdateIndexToHtml
fedoragsearch.defaultGfindObjectsRestXslt			= demoGfindObjectsToHtml
fedoragsearch.defaultBrowseIndexRestXslt			= demoBrowseIndexToHtml
fedoragsearch.defaultGetRepositoryInfoRestXslt		= demoGetRepositoryInfoToHtml
fedoragsearch.defaultGetIndexInfoRestXslt			= demoGetIndexInfoToHtml

#resultPage
fedoragsearch.maxPageSize									= 50
fedoragsearch.defaultBrowseIndexTermPageSize					= 20
fedoragsearch.defaultGfindObjectsHitPageSize				= 10
#fedoragsearch.defaultGfindObjectsSnippetsMax				= 0 means no snippet generation
fedoragsearch.defaultGfindObjectsSnippetsMax				= 3
#fedoragsearch.defaultGfindObjectsFieldMaxLength			= 0 means no max length
fedoragsearch.defaultGfindObjectsFieldMaxLength				= 100

#fedoragsearch.mimeTypes	= text/plain text/html application/pdf application/ps application/msword -potential
#fedoragsearch.mimeTypes	= text/plain text/html application/pdf                                   -supported
fedoragsearch.mimeTypes										= text/plain text/html application/pdf  

#fedoragsearch.repositoryNames								= MyRep1 MyRepN configured in config/repository/MyRepI
#fedoragsearch.repositoryNames								= DemoAtDtu SindapAtDtu
fedoragsearch.repositoryNames								= DemoAtDtu

#fedoragsearch.indexNames									= MyIndex1 MyIndexN configured in config/index/MyIndexI
#fedoragsearch.indexNames									= DemoOnLucene SmileyDemoOnLucene SindapDemoOnLucene DemoOnZebra MZKindex
fedoragsearch.indexNames									    = DemoOnLucene SmileyDemoOnLucene MZKindex